# Variable WritableStreamDefaultWriter

WritableStreamDefaultWriter: {
prototype: WritableStreamDefaultWriter<any>;
new <W>(stream): WritableStreamDefaultWriter<W>;
}

#### Type declaration

- - new <W>(stream): WritableStreamDefaultWriter<W>

  - #### Type Parameters

    - W = any

    #### Parameters

    - stream: WritableStream<W>

    #### Returns WritableStreamDefaultWriter<W>

- ##### prototype: WritableStreamDefaultWriter<any>

- Defined in node_modules/@types/node/stream/web.d.ts:248
- Defined in node_modules/@types/node/stream/web.d.ts:257